## com.lowagie.text
Class Entities

    java.lang.Object
      com.lowagie.text.Entities

    public class Entities

extends java.lang.Object

This class contains entities that can be used in an entity tag.

Field Summary
`static java.util.HashMap` `map` This is a map that contains all possible id values of the entity tag.

Constructor Summary
`Entities()`

Method Summary
`static Chunk` `get(java.lang.String e, Font font)` Gets a chunk with a symbol character.
`static int` `getCorrespondingSymbol(java.lang.String c)` Looks for the corresponding symbol in the font Symbol.
`static boolean` `isTag(java.lang.String tag)` Checks if a given tag corresponds with this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public static final java.util.HashMap map

  This is a map that contains all possible id values of the entity tag.

Constructor Detail

### Entities

    public Entities()

Method Detail

### get

    public static Chunk get(java.lang.String e,
                            Font font)

  Gets a chunk with a symbol character.

  Parameters:
    `e` - a symbol value (see Entities class: alfa is greek alfa,...)
    `font` - the font if the symbol isn't found (otherwise Font.SYMBOL)
  Returns:
    a Chunk

### getCorrespondingSymbol

    public static int getCorrespondingSymbol(java.lang.String c)

  Looks for the corresponding symbol in the font Symbol.

  Parameters:
    `c` - the original ASCII-char
  Returns:
    the corresponding symbol in font Symbol

### isTag

    public static boolean isTag(java.lang.String tag)

  Checks if a given tag corresponds with this object.

  Parameters:
    `tag` - the given tag
  Returns:
    true if the tag corresponds